--- /usr/src/1/asterisk-1.4.10.1/apps/app_dial.c	2007-07-17 16:03:48.000000000 -0400
+++ /usr/src/asterisk-1.4.10.1/apps/app_dial.c	2007-10-09 23:30:52.864946000 -0400
@@ -398,9 +398,16 @@
 	int orig = *to;
 	struct ast_channel *peer = NULL;
 	/* single is set if only one destination is enabled */
-	int single = outgoing && !outgoing->next && !ast_test_flag(outgoing, OPT_MUSICBACK | OPT_RINGBACK);
 	
-	if (single) {
+	const char *ring_and_play_early_sounds = pbx_builtin_getvar_helper(in,"ring_and_play_early_sounds");	
+	int single;
+	ast_verbose(VERBOSE_PREFIX_4 "ring_and_play_early_sounds=%s\n",ring_and_play_early_sounds);
+	if (pbx_checkcondition(ring_and_play_early_sounds) == 1)
+	        single = outgoing && !outgoing->next && !ast_test_flag(outgoing, OPT_MUSICBACK);
+	    else 
+		single = outgoing && !outgoing->next && !ast_test_flag(outgoing, OPT_MUSICBACK|OPT_RINGBACK);
+	
+	if ((single)&&(pbx_checkcondition(ring_and_play_early_sounds) == 0)){
 		/* Turn off hold music, etc */
 		ast_deactivate_generator(in);
 		/* If we are calling a single channel, make them compatible for in-band tone purpose */
